1.2

1.2

get /v1/apis/{api_id}/access-controls

Description

Get access controls list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAccessControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/access-controls

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "access_controls": [
        {
            "allowed_ip_addr": [
                "127.0.0.1/24,192.168.127.12"
            ],
            "connected_stages": [
                "dev,stg"
            ],
            "created_at": "2024-05-19T00:23:17Z",
            "description": "",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "DenyTest"
        }
    ],
    "count": 20
}